- Home
- Operations Guide
- Administer an MKE cluster
- Collect MKE cluster metrics with metrics-server
- Enable metrics-server
Enable metrics-server#
To enable metrics-server, update the MKE cluster configuration and apply the changes.
-
Download the current MKE configuration file, replacing
$MKE_HOSTand$AUTHTOKENwith your controller URL and bearer token:curl --silent --insecure -H "Authorization: Bearer $AUTHTOKEN" \ "https://${MKE_HOST}/api/ucp/config-toml" > mke-config.toml -
Locate the
cluster_config.metrics_serveroption:[cluster_config.metrics_server] enabled = false replicas = 2For detailed information on the
cluster_config.deschedulerconfiguration parameter, refer to the configuration options detail. -
Set the
enabledparameter totrue. -
Upload the updated MKE configuration file:
curl --silent --insecure -X PUT -H "accept: application/toml" \ -H "Authorization: Bearer $AUTHTOKEN" \ --upload-file mke-config.toml \ "https://${MKE_HOST}/api/ucp/config-toml" -
Wait for cluster reconciliation and Verify metrics-server.